No audio INTEL HD audio - Realtek ALC268 codec - Toshiba A205-S4577 / Acer TravelMate 6292

Bug #116326 reported by venky80 on 2007-05-23
90
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ALSA driver
In Progress
Unknown
Linux
Invalid
Undecided
Unassigned
linux-backports-modules-2.6.22 (Ubuntu)
Undecided
Unassigned
linux-source-2.6.22 (Baltix)
Undecided
Unassigned
linux-source-2.6.22 (Ubuntu)
Medium
Ubuntu Audio Team
linux-ubuntu-modules-2.6.22 (Ubuntu)
Undecided
Ubuntu Audio Team

Bug Description

The Linux kernel does not currently support the Realtek ALC268 codec found in the Toshiba A205-S4577.

The datasheet can be found at the below location:

http://www.realtek.com.tw/downloads/downloadsView.aspx?Langid=1&PNid=24&PFid=24&Level=4&Conn=3&DownTypeID=1&GetDown=true&Downloads=true#ALC268

Brian Murray (brian-murray) wrote :

Thanks for taking the time to report this bug and helping to make Ubuntu better. Could you please add the output requested at https://help.ubuntu.com/community/DebuggingSoundProblems as attachments? Thanks in advance.

Mixers:
0: Realtek ID 268

venky80 (venky80) wrote : amixer

Simple mixer control 'Master',0
  Capabilities: pvolume
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 64
  Mono:
  Front Left: Playback 24 [38%] [-40.00dB]
  Front Right: Playback 24 [38%] [-40.00dB]
Simple mixer control 'PCM',0
  Capabilities: pvolume
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 255
  Mono:
  Front Left: Playback 166 [65%] [-17.80dB]
  Front Right: Playback 166 [65%] [-17.80dB]
Simple mixer control 'Caller ID',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [off]
Simple mixer control 'Off-hook',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [off]

venky80 (venky80) wrote : All Outputs

I used the ALSA Script to generate all the outputs

Hello, Here is the paste bin link to all my outputs.
http://pastebin.ca/503893
I have added it to lauchpad bug too please let me know if it works.
thanks

-----Original Message-----
From: Brian Murray <email address hidden>
To: <email address hidden>
Sent: Tue, 22 May 2007 7:17 pm
Subject: [Bug 116326] Re: No audio INTEL HD audio Realtek chip toshiba A205-S4577

Thanks for taking the time to report this bug and helping to make Ubuntu
better. Could you please add the output requested at
https://help.ubuntu.com/community/DebuggingSoundProblems as attachments?
Thanks in advance.

** Changed in: linux-source-2.6.20 (Ubuntu)
Sourcepackagename: None => linux-source-2.6.20
 Assignee: (unassigned) => Brian Murray
 Status: Unconfirmed => Needs Info

** Changed in: linux-source-2.6.22 (Ubuntu)
Sourcepackagename: linux-source-2.6.20 => linux-source-2.6.22

--
No audio INTEL HD audio Realtek chip toshiba A205-S4577
https://bugs.launchpad.net/bugs/116326
You received this bug notification because you are a direct subscriber
of the bug.

________________________________________________________________________
Check Out the new free AIM(R) Mail -- 2 GB of storage and industry-leading spam and email virus protection.

venky80 (venky80) wrote : interrupts

venky@venky-laptop:~$ cat /proc/interrupts
           CPU0 CPU1
  0: 747442 0 IO-APIC-edge timer
  1: 1678 0 IO-APIC-edge i8042
  8: 5 0 IO-APIC-edge rtc
  9: 48114 0 IO-APIC-fasteoi acpi
 12: 85956 466972 IO-APIC-edge i8042
 14: 39197 1643 IO-APIC-edge libata
 15: 29235 0 IO-APIC-edge libata
 16: 26266 85552 IO-APIC-fasteoi ohci1394, ipw3945
 17: 157343 0 IO-APIC-fasteoi uhci_hcd:usb4, i915@pci:0000:00:02.0
 18: 10 0 IO-APIC-fasteoi uhci_hcd:usb3, tifm_7xx1, sdhci:slot0, yenta
 19: 970 0 IO-APIC-fasteoi uhci_hcd:usb1, ehci_hcd:usb5
 20: 0 0 IO-APIC-fasteoi uhci_hcd:usb2
 21: 565 0 IO-APIC-fasteoi HDA Intel
220: 1 0 PCI-MSI-edge eth0
NMI: 0 0
LOC: 49356 374572
ERR: 0
MIS: 0
venky@venky-laptop:~$

cat /etc/asound.conf ~/.asoundrc*
cat: /etc/asound.conf: No such file or directory
# ALSA library configuration file

# Include settings that are under the control of asoundconf(1).
# (To disable these settings, comment out this line.)
</home/venky/.asoundrc.asoundconf>

# ALSA library configuration file managed by asoundconf(1).
#
# MANUAL CHANGES TO THIS FILE WILL BE OVERWRITTEN!
#
# Manual changes to the ALSA library configuration should be implemented
# by editing the ~/.asoundrc file, not by editing this file.
!defaults.pcm.card Intel
defaults.ctl.card Intel
defaults.pcm.device 0
defaults.pcm.subdevice -1
defaults.pcm.nonblock 1
defaults.pcm.ipc_key 5678293
defaults.pcm.ipc_gid audio
defaults.pcm.ipc_perm 0660
defaults.pcm.dmix_max_periods 0
defaults.pcm.dmix_rate 48000
defaults.pcm.dmix_format S16
defaults.pcm.front.card defaults.pcm.card
defaults.pcm.front.device defaults.pcm.device
defaults.pcm.rear.card defaults.pcm.card
defaults.pcm.rear.device defaults.pcm.device
defaults.pcm.center_lfe.card defaults.pcm.card
defaults.pcm.center_lfe.device defaults.pcm.device
defaults.pcm.side.card defaults.pcm.card
defaults.pcm.side.device defaults.pcm.device
defaults.pcm.surround40.card defaults.pcm.card
defaults.pcm.surround40.device defaults.pcm.device
defaults.pcm.surround41.card defaults.pcm.card
defaults.pcm.surround41.device defaults.pcm.device
defaults.pcm.surround50.card defaults.pcm.card
defaults.pcm.surround50.device defaults.pcm.device
defaults.pcm.surround51.card defaults.pcm.card
defaults.pcm.surround51.device defaults.pcm.device
defaults.pcm.surround71.card defaults.pcm.card
defaults.pcm.surround71.device defaults.pcm.device
defaults.pcm.iec958.card defaults.pcm.card
defaults.pcm.iec958.device defaults.pcm.device
defaults.pcm.modem.card defaults.pcm.card
defaults.pcm.modem.device defaults.pcm.device
defaults.rawmidi.card 0
defaults.rawmidi.device 0
defaults.rawmidi.subdevice -1
defaults.hwdep.card 0
defaults.hwdep.device 0
defaults.timer.class 2
defaults.timer.sclass 0
defaults.timer.card 0
defaults.timer.device 0
defaults.timer.subdevice 0

venky80 (venky80) wrote : lspci -nv
Download full text (5.8 KiB)

lspci -nv
00:00.0 0600: 8086:27a0 (rev 03)
        Subsystem: 1179:ff10
        Flags: bus master, fast devsel, latency 0
        Capabilities: <access denied>

00:02.0 0300: 8086:27a2 (rev 03) (prog-if 00 [VGA])
        Subsystem: 1179:ff10
        Flags: bus master, fast devsel, latency 0, IRQ 17
        Memory at f0a00000 (32-bit, non-prefetchable) [size=512K]
        I/O ports at 1800 [size=8]
        Memory at d0000000 (32-bit, prefetchable) [size=256M]
        Memory at f0b00000 (32-bit, non-prefetchable) [size=256K]
        Capabilities: <access denied>

00:02.1 0380: 8086:27a6 (rev 03)
        Subsystem: 1179:ff10
        Flags: bus master, fast devsel, latency 0
        Memory at f0a80000 (32-bit, non-prefetchable) [size=512K]
        Capabilities: <access denied>

00:1b.0 0403: 8086:27d8 (rev 02)
        Subsystem: 1179:ff10
        Flags: bus master, fast devsel, latency 0, IRQ 21
        Memory at f0b40000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: <access denied>

00:1c.0 0604: 8086:27d0 (rev 02) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
        I/O behind bridge: 00002000-00002fff
        Memory behind bridge: f0600000-f06fffff
        Prefetchable memory behind bridge: 00000000f0000000-00000000f01fffff
        Capabilities: <access denied>

00:1c.1 0604: 8086:27d2 (rev 02) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=03, subordinate=04, sec-latency=0
        I/O behind bridge: 00003000-00003fff
        Memory behind bridge: f0700000-f07fffff
        Prefetchable memory behind bridge: 00000000f0200000-00000000f03fffff
        Capabilities: <access denied>

00:1c.2 0604: 8086:27d4 (rev 02) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=05, subordinate=06, sec-latency=0
        I/O behind bridge: 00004000-00004fff
        Memory behind bridge: f0800000-f08fffff
        Prefetchable memory behind bridge: 00000000f0400000-00000000f05fffff
        Capabilities: <access denied>

00:1d.0 0c03: 8086:27c8 (rev 02) (prog-if 00 [UHCI])
        Subsystem: 1179:ff10
        Flags: bus master, medium devsel, latency 0, IRQ 19
        I/O ports at 1820 [size=32]

00:1d.1 0c03: 8086:27c9 (rev 02) (prog-if 00 [UHCI])
        Subsystem: 1179:ff10
        Flags: bus master, medium devsel, latency 0, IRQ 20
        I/O ports at 1840 [size=32]

00:1d.2 0c03: 8086:27ca (rev 02) (prog-if 00 [UHCI])
        Subsystem: 1179:ff10
        Flags: bus master, medium devsel, latency 0, IRQ 18
        I/O ports at 1860 [size=32]

00:1d.3 0c03: 8086:27cb (rev 02) (prog-if 00 [UHCI])
        Subsystem: 1179:ff10
        Flags: bus master, medium devsel, latency 0, IRQ 17
        I/O ports at 1880 [size=32]

00:1d.7 0c03: 8086:27cc (rev 02) (prog-if 20 [EHCI])
        Subsystem: 1179:ff10
        Flags: bus master, medium devsel, latency 0, IRQ 19
        Memory at f0d44000 (32-bit, non-prefetchable) [size=1K]
        Capabilities: <access denied>

00:1e.0 0604: 8086:2448 (rev e2) (prog-if 01 [Subtractive de...

Read more...

Changed in linux-source-2.6.22:
assignee: brian-murray → ubuntu-audio
importance: Undecided → Medium
status: Needs Info → Confirmed

Need one bit of info. Did this work with any previous versions of Ubuntu or other distribution?

Changed in linux-source-2.6.22:
assignee: ubuntu-audio → ben-collins
status: Confirmed → Needs Info
Shaya Potter (spotter) wrote :

I had a similar problem w/ a T60. For some reason why I upgraded to gutsy, sound disappeared. For some reason also by simply rmmoding the appropriate modules and then modprobing them back into place, sound returned (there might have been a reboot or two in between, as well as to a different kernel).

unsure what happened, did know it was driving me crazy for a day.

I have tried with Feisty and gutsy. Don't have a Dapper or an Edgy
installation to check.
hopefully it helps.
Nothing works reboots or anything, I have tried those with feisty
Thanks,
Venky

On 5/30/07, Shaya Potter <email address hidden> wrote:
>
> I had a similar problem w/ a T60. For some reason why I upgraded to
> gutsy, sound disappeared. For some reason also by simply rmmoding the
> appropriate modules and then modprobing them back into place, sound
> returned (there might have been a reboot or two in between, as well as
> to a different kernel).
>
> unsure what happened, did know it was driving me crazy for a day.
>
> --
> No audio INTEL HD audio Realtek chip toshiba A205-S4577
> https://bugs.launchpad.net/bugs/116326
> You received this bug notification because you are a direct subscriber
> of the bug.
>

This appears to be fixed by an upstream patch that has gone into git. Please try 6.13 or 7.13 when it becomes available.

Changed in linux-source-2.6.22:
status: Needs Info → Fix Committed

what does it mean?

I updated to kernel 2.6.22-6.13 and I still have no sound. I didn't have any sound on the previous 2.6.22 release either. But if I reboot on my kernel 2.6.20 my sound gets back.

I'm using up to date gutsy.

Here is the output given but tutorial given above:
http://pastebin.ca/537564

My soundcard is also and intel with a realtek chipset, very common.

What kind of laptop do you have?

On 6/4/07, Christophe Dumez <email address hidden> wrote:
>
> I updated to kernel 2.6.22-6.13 and I still have no sound. I didn't have
> any sound on the previous 2.6.22 release either. But if I reboot on my
> kernel 2.6.20 my sound gets back.
>
> I'm using up to date gutsy.
>
> Here is the output given but tutorial given above:
> http://pastebin.ca/537564
>
> My soundcard is also and intel with a realtek chipset, very common.
>
> --
> No audio INTEL HD audio Realtek chip toshiba A205-S4577
> https://bugs.launchpad.net/bugs/116326
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Chris Cheney (ccheney) wrote :

Ben,

The fix in 6.13 does not appear to be nearly enough to support the Realtek 268.

There isn't even a setup function for the 268 codec in:

struct hda_codec_preset snd_hda_preset_realtek[]

I am going to try to look into what is needed to actually support the 268 codec, but I looked in alsa git yesterday and I didn't see anything related to the 268 at all.

Chris

On Thu, 2007-06-07 at 03:45 +0000, Chris Cheney wrote:
> Ben,
>
> The fix in 6.13 does not appear to be nearly enough to support the
> Realtek 268.
>
> There isn't even a setup function for the 268 codec in:
>
> struct hda_codec_preset snd_hda_preset_realtek[]
>
> I am going to try to look into what is needed to actually support the
> 268 codec, but I looked in alsa git yesterday and I didn't see anything
> related to the 268 at all.

Sorry, but the code I was hoping that would fix this isn't in 6.13, it
will be in the next upload. You can check http://kernel.ubuntu.com/git
in the ubuntu/ubuntu-gutsty repo to see if what you are looking for is
in there.

Hi Ben
Oh Well I am sad, I thought INTEL is good towards Linux,
Thanks for keeping me posted.
Venky
P.S I have no idea as to how to look into the git for what is getting
updated!

On 6/7/07, Ben Collins <email address hidden> wrote:
>
> On Thu, 2007-06-07 at 03:45 +0000, Chris Cheney wrote:
> > Ben,
> >
> > The fix in 6.13 does not appear to be nearly enough to support the
> > Realtek 268.
> >
> > There isn't even a setup function for the 268 codec in:
> >
> > struct hda_codec_preset snd_hda_preset_realtek[]
> >
> > I am going to try to look into what is needed to actually support the
> > 268 codec, but I looked in alsa git yesterday and I didn't see anything
> > related to the 268 at all.
>
> Sorry, but the code I was hoping that would fix this isn't in 6.13, it
> will be in the next upload. You can check http://kernel.ubuntu.com/git
> in the ubuntu/ubuntu-gutsty repo to see if what you are looking for is
> in there.
>
> --
> No audio INTEL HD audio Realtek chip toshiba A205-S4577
> https://bugs.launchpad.net/bugs/116326
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Ben,

I am not sure if I am looking at it properly but

http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-gutsy.git;a=blob;h=4776de93928b4b55fa78a2b570b40715a54b1f4d;hb=36c1aeac3968fa6ea0899e2c619a5c69a4350b52;f=sound/pci/hda/patch_realtek.c

does not seem to have any reference to the 268 codec except for 1 on line 687 and if I am reading the code correctly that doesn't even get executed for a 268 codec since there isn't any setup function, etc, for the 268.

However, I may be looking in the wrong place...

- Chris

---

Sorry, but the code I was hoping that would fix this isn't in 6.13, it
will be in the next upload. You can check http://kernel.ubuntu.com/git
in the ubuntu/ubuntu-gutsty repo to see if what you are looking for is
in there.

Chris Cheney (ccheney) on 2007-06-07
description: updated

Ben,

So I couldn't find the fix in your git repo but crimsun told me where it is upstream...

http://hg.alsa-project.org/alsa-kernel/rev/dd701601157b

I am going to apply it to my kernel and see how it fares.

Thanks,

Chris

Mark Lockwood (biz-lockwom) wrote :

I bought a Toshiba A205-S4577 and I've been trying to get the sound working for the past couple of days.

I went to Chris Cheney's link

http://hg.alsa-project.org/alsa-kernel/rev/dd701601157b

and applied the patch_realtek.c to ALSA 1.0.14, compiled it for hda-intel and installed it. If I specify 3stack for the model as a module parameter, PCM doesn't show up in the mixer, so model=auto seems to work best, but alas I still don't have sound even with this new patch supporting 268.

Would there be any additional technical differences between the Toshiba's configuration that would still prevent sound from working? This is very frustrating since everything else on this laptop is working flawlessly in Ubuntu.

Mark Lockwood (biz-lockwom) wrote :

Whenever I try to execute an application using audio in a terminal, I get the following error

ALSA lib confmisc.c:1286:(snd_func_refer) Unable to find definition 'defaults.pcm.dmix.device'
ALSA lib conf.c:3510:(_snd_config_evaluate) function snd_func_refer returned error: No such file or directory
ALSA lib conf.c:3982:(snd_config_expand) Evaluate error: No such file or directory
ALSA lib pcm.c:2144:(snd_pcm_open_noupdate) Unknown PCM default

Is there some way to set the default device? I still see PCM, Headphone, and Front as controllable mixers, but apparently nothing can access the card.

BTW, I'm running Ubuntu 7.04 with kernel version 2.6.20.16.28.1 with that patched ALSA 1.0.14.

Alejandro Zunino (azunino) wrote :

I have a Toshiba A205-S4577. I have tried the patch (Ubuntu 7.04 with kernel version 2.6.20-16-generic and alsa-1.0.14 installed from source). I have noticed this message in dmesg:

[ 2658.948000] hda_codec: Unknown model for ALC268, trying auto-probe from BIOS...
[ 2659.720000] ALSA /home/azunino/alsa-driver-1.0.14/pci/hda/../../alsa-kernel/pci/hda/patch_si3054.c:244: si3054: cannot initialize. EXT MID = 0000

I have tried with model=3stack and model=auto with no success. Perhaps this notebook has a different codec model???? In addition, alsamixer shows a PCM slider, but it does not show a mute/unmute button bellow the slider.

Attached you will find the output of cat /proc/asound/Intel/codec#0

Enrico Sardi (enricoss) wrote :

Hi all!

I have the same problem and the same output of Alejandro with an Acer 6292...

Thanks for the help

Enrico

fcayci (fcayci) wrote :

Hi everybody,

I have the same laptop, Toshiba Satellite A205-S4777.
I did the things related with this article;
http://pastebin.ca/522731

After restarting laptop, I didn't take any errors, but there was
no sound again. Then I realized the output of the dmesg.

$ dmesg|grep alsa
[ 18.948000] ALSA /home/leonetix/alsa-driver/pci/hda/hda_codec.c:2339: autoconfig: line_outs=1 (0x14/0x0/0x0/0x0/0x0)
[ 18.948000] ALSA /home/leonetix/alsa-driver/pci/hda/hda_codec.c:2343: speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
[ 18.948000] ALSA /home/leonetix/alsa-driver/pci/hda/hda_codec.c:2347: hp_outs=1 (0x15/0x0/0x0/0x0/0x0)
[ 18.948000] ALSA /home/leonetix/alsa-driver/pci/hda/hda_codec.c:2355: inputs: mic=0x19, fmic=0x18, line=0x0, fline=0x0, cd=0x0, aux=0x0
[ 19.672000 ] ALSA /home/leonetix/alsa-driver/pci/hda/../../alsa-kernel/pci/hda/patch_si3054.c:244: si3054: cannot initialize. EXT MID = 0000
[ 19.680000] ALSA /home/leonetix/alsa-driver/pci/hda/../../alsa-kernel/pci/hda/patch_si3054.c:256: Link Frame Detect(FDT) is not ready (line status: 0000)
[ 33.572000] ALSA /home/leonetix/alsa-driver/pci/hda/hda_codec.c:1810: hda_codec: model 'auto' is selected
[ 33.620000] ALSA /home/leonetix/alsa-driver/pci/hda/hda_codec.c:2339: autoconfig: line_outs=1 (0x14/0x0/0x0/0x0/0x0)
[ 33.620000] ALSA /home/leonetix/alsa-driver/pci/hda/hda_codec.c:2343: speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
[ 33.620000] ALSA /home/leonetix/alsa-driver/pci/hda/hda_codec.c:2347: hp_outs=1 (0x15/0x0/0x0/0x0/0x0)
[ 33.620000] ALSA /home/leonetix/alsa-driver/pci/hda/hda_codec.c:2355: inputs: mic=0x19, fmic=0x18, line=0x0, fline=0x0, cd=0x0, aux=0x0
[ 34.360000] ALSA /home/leonetix/alsa-driver/pci/hda/../../alsa-kernel/pci/hda/patch_si3054.c:244: si3054: cannot initialize. EXT MID = 0000
[ 34.368000] ALSA /home/leonetix/alsa-driver/pci/hda/../../alsa-kernel/pci/hda/patch_si3054.c:256: Link Frame Detect(FDT) is not ready (line status: 0000)
-------------------------

So, there is something wrong, but I didn't understand
and I was wondering if you could solve or show a way to do it.

Also, here is the output of lcpci -v
"00: 1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 02)
        Subsystem: Toshiba America Info Systems Unknown device ff10
        Flags: bus master, fast devsel, latency 0, IRQ 21
        Memory at f0b40000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: [50] Power Management version 2
        Capabilities: [60] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable-
        Capabilities: [70] Express Unknown type IRQ 0"

Thanks for your help,
leonetix

Chris Cheney (ccheney) wrote :

This patch is from 2.6.22-6.13 -> alsa-kernel mercurial changeset 5114. It includes a few other fixes besides just the Realtek ALC268 support.

I have not tested this patch yet, but I will try to test it later tonight.

Chris Cheney (ccheney) wrote :

Tested the patch, it appears to setup the mixer right but I still can't get any sound out of my system with it.

Also, I looked at the Realtek 4.06a driver and it no longer has ALC268 support in the code, it appears they are planning on using the official ALSA version whenever it happens to actually work. Although the Realtek 4.05f driver does have support for ALC268 in the code, it isn't listed as supported in the readme.txt. Also, I haven't tested to see if 4.05f actually works for my Toshiba laptop.

If someone wants to check to see if the "official" Realtek driver works it can be downloaded from:

ftp://152.104.238.19/pc/audio/realtek-linux-audiopack-4.05f.tar.bz2

Thanks for testing it out, oh I so wanted it to work. Do you know if we ever
have a solution for this?

On 6/21/07, Chris Cheney <email address hidden> wrote:
>
> Tested the patch, it appears to setup the mixer right but I still can't
> get any sound out of my system with it.
>
> Also, I looked at the Realtek 4.06a driver and it no longer has ALC268
> support in the code, it appears they are planning on using the official
> ALSA version whenever it happens to actually work. Although the Realtek
> 4.05f driver does have support for ALC268 in the code, it isn't listed
> as supported in the readme.txt. Also, I haven't tested to see if 4.05f
> actually works for my Toshiba laptop.
>
> If someone wants to check to see if the "official" Realtek driver works
> it can be downloaded from:
>
> ftp://152.104.238.19/pc/audio/realtek-linux-audiopack-4.05f.tar.bz2
>
> --
> No audio INTEL HD audio - Realtek ALC268 codec - Toshiba A205-S4577
> https://bugs.launchpad.net/bugs/116326
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Chris Cheney (ccheney) wrote :

Venky,

If no one else makes work fairly soon I will probably look over the
datasheet and try to figure it out myself. I am pretty busy with other
things at the moment, like working on getting into core-dev so I can
maintain OpenOffice. :)

Chris

Venky wrote:
> Thanks for testing it out, oh I so wanted it to work. Do you know if we
> ever have a solution for this?
>
> On 6/21/07, *Chris Cheney* < <email address hidden>
> <mailto:<email address hidden>>> wrote:
>
> Tested the patch, it appears to setup the mixer right but I still can't
> get any sound out of my system with it.
>
> Also, I looked at the Realtek 4.06a driver and it no longer has ALC268
> support in the code, it appears they are planning on using the official
> ALSA version whenever it happens to actually work. Although the Realtek
> 4.05f driver does have support for ALC268 in the code, it isn't listed
> as supported in the readme.txt. Also, I haven't tested to see if 4.05f
> actually works for my Toshiba laptop.
>
> If someone wants to check to see if the "official" Realtek driver works
> it can be downloaded from:
>
> ftp://152.104.238.19/pc/audio/realtek-linux-audiopack-4.05f.tar.bz2

Hi,
just FYI, the "official" Realtek driver does not even compile on feisty (linux-image-2.6.20-16-generic & linux-headers-2.6.20-16-generic):

In file included from /tmp/realtek-linux-audiopack-4.05f/alsa-driver-1.0.12-4.05f/include/sound/driver.h:46,
                 from /tmp/realtek-linux-audiopack-4.05f/alsa-driver-1.0.12-4.05f/acore/hwdep.c:22:
/tmp/realtek-linux-audiopack-4.05f/alsa-driver-1.0.12-4.05f/include/adriver.h:726: error: redefinition of ‘jiffies_to_msecs’
include/linux/jiffies.h:268: error: previous definition of ‘jiffies_to_msecs’ was here
/tmp/realtek-linux-audiopack-4.05f/alsa-driver-1.0.12-4.05f/include/adriver.h:745: error: redefinition of ‘msecs_to_jiffies’
include/linux/jiffies.h:290: error: previous definition of ‘msecs_to_jiffies’ was here
In file included from /tmp/realtek-linux-audiopack-4.05f/alsa-driver-1.0.12-4.05f/include/adriver.h:842,
                 from /tmp/realtek-linux-audiopack-4.05f/alsa-driver-1.0.12-4.05f/include/sound/driver.h:46,
                 from /tmp/realtek-linux-audiopack-4.05f/alsa-driver-1.0.12-4.05f/acore/hwdep.c:22:
include/linux/pci.h:541: error: expected identifier or ‘(’ before numeric constant
In file included from /tmp/realtek-linux-audiopack-4.05f/alsa-driver-1.0.12-4.05f/include/sound/driver.h:46,
                 from /tmp/realtek-linux-audiopack-4.05f/alsa-driver-1.0.12-4.05f/acore/hwdep.c:22:
/tmp/realtek-linux-audiopack-4.05f/alsa-driver-1.0.12-4.05f/include/adriver.h: In function ‘snd_pci_orig_save_state’:
/tmp/realtek-linux-audiopack-4.05f/alsa-driver-1.0.12-4.05f/include/adriver.h:1083: error: too many arguments to function ‘pci_save_state’
/tmp/realtek-linux-audiopack-4.05f/alsa-driver-1.0.12-4.05f/include/adriver.h: In function ‘snd_pci_orig_restore_state’:
/tmp/realtek-linux-audiopack-4.05f/alsa-driver-1.0.12-4.05f/include/adriver.h:1087: error: too many arguments to function ‘pci_restore_state’
make[3]: *** [/tmp/realtek-linux-audiopack-4.05f/alsa-driver-1.0.12-4.05f/acore/hwdep.o] Error 1
make[2]: *** [/tmp/realtek-linux-audiopack-4.05f/alsa-driver-1.0.12-4.05f/acore] Error 2
make[1]: *** [_module_/tmp/realtek-linux-audiopack-4.05f/alsa-driver-1.0.12-4.05f] Error 2
make[1]: Leaving directory `/usr/src/linux-headers-2.6.20-16-generic'
make: *** [compile] Error 2

fcayci (fcayci) wrote :

HI,
Yep, I tried and took the same error, too;

In file included from /home/leonetix/Desktop/realtek-linux-audiopack-4.05f/alsa-driver-1.0.12-4.05f/include/sound/driver.h:46,
                 from /home/leonetix/Desktop/realtek-linux-audiopack-4.05f/alsa-driver-1.0.12-4.05f/acore/hwdep.c:22:
/home/leonetix/Desktop/realtek-linux-audiopack-4.05f/alsa-driver-1.0.12-4.05f/include/adriver.h:726: error: redefinition of ‘jiffies_to_msecs’
include/linux/jiffies.h:268: error: previous definition of ‘jiffies_to_msecs’ was here
/home/leonetix/Desktop/realtek-linux-audiopack-4.05f/alsa-driver-1.0.12-4.05f/include/adriver.h:745: error: redefinition of ‘msecs_to_jiffies’
include/linux/jiffies.h:290: error: previous definition of ‘msecs_to_jiffies’ was here
In file included from /home/leonetix/Desktop/realtek-linux-audiopack-4.05f/alsa-driver-1.0.12-4.05f/include/adriver.h:842,
                 from /home/leonetix/Desktop/realtek-linux-audiopack-4.05f/alsa-driver-1.0.12-4.05f/include/sound/driver.h:46,
                 from /home/leonetix/Desktop/realtek-linux-audiopack-4.05f/alsa-driver-1.0.12-4.05f/acore/hwdep.c:22:
include/linux/pci.h:541: error: expected identifier or ‘(’ before numeric constant
In file included from /home/leonetix/Desktop/realtek-linux-audiopack-4.05f/alsa-driver-1.0.12-4.05f/include/sound/driver.h:46,
                 from /home/leonetix/Desktop/realtek-linux-audiopack-4.05f/alsa-driver-1.0.12-4.05f/acore/hwdep.c:22:
/home/leonetix/Desktop/realtek-linux-audiopack-4.05f/alsa-driver-1.0.12-4.05f/include/adriver.h: In function ‘snd_pci_orig_save_state’:
/home/leonetix/Desktop/realtek-linux-audiopack-4.05f/alsa-driver-1.0.12-4.05f/include/adriver.h:1083: error: too many arguments to function ‘pci_save_state’
/home/leonetix/Desktop/realtek-linux-audiopack-4.05f/alsa-driver-1.0.12-4.05f/include/adriver.h: In function ‘snd_pci_orig_restore_state’:
/home/leonetix/Desktop/realtek-linux-audiopack-4.05f/alsa-driver-1.0.12-4.05f/include/adriver.h:1087: error: too many arguments to function ‘pci_restore_state’
make[3]: *** [/home/leonetix/Desktop/realtek-linux-audiopack-4.05f/alsa-driver-1.0.12-4.05f/acore/hwdep.o] Error 1
make[2]: *** [/home/leonetix/Desktop/realtek-linux-audiopack-4.05f/alsa-driver-1.0.12-4.05f/acore] Error 2
make[1]: *** [_module_/home/leonetix/Desktop/realtek-linux-audiopack-4.05f/alsa-driver-1.0.12-4.05f] Error 2
make: *** [compile] Error 2

Christophe Dumez (hydr0g3n) wrote :

I updated my gutsy today and my sound is back : thanks!

$uname -a
Linux chris-laptop 2.6.22-7-generic #1 SMP Mon Jun 25 17:33:14 GMT 2007 i686 GNU/Linux

mine still doesnt work after upgrade
which laptop are you using

On 6/26/07, Christophe Dumez <email address hidden> wrote:
>
> I updated my gutsy today and my sound is back : thanks!
>
> $uname -a
> Linux chris-laptop 2.6.22-7-generic #1 SMP Mon Jun 25 17:33:14 GMT 2007
> i686 GNU/Linux
>
> --
> No audio INTEL HD audio - Realtek ALC268 codec - Toshiba A205-S4577
> https://bugs.launchpad.net/bugs/116326
> You received this bug notification because you are a direct subscriber
> of the bug.
>

I have Toshiba A205-S4577 w/ Realtek ALC268. I've been trying to solve this problem for over two weeks. I even tried installing Debian, but could get no sound. Actually, realizing that this is not just my problem is somewhat comforting. I'll watch here for help.

Christophe Dumez (hydr0g3n) wrote :

This might have no link at all but I've just realized that I only have sound if I'm using external speakers. I don't have any sound with the laptop speakers. I will try again with the old kernel later to see if there is a link or not.

Amit Kucheria (amitk) on 2007-06-29
Changed in linux-source-2.6.22:
status: Fix Committed → In Progress

Hi Amit,
Just wondering why the status has been changed? Is there any new update on
realtek ALC268?
Thanks,
Venky

On 6/29/07, Amit Kucheria <email address hidden> wrote:
>
> ** Changed in: linux-source-2.6.22 (Ubuntu)
> Status: Fix Committed => In Progress
>
> --
> No audio INTEL HD audio - Realtek ALC268 codec - Toshiba A205-S4577
> https://bugs.launchpad.net/bugs/116326
> You received this bug notification because you are a direct subscriber
> of the bug.
>

I was going through the list of bugs that had upstream patches attached to them, looking for those that would be included in the next kernel release.

This patch doesn't seem to fix problems for everyone yet. Or am I mistaken?

mcconkeybe (mcconkeybe) wrote :

I have a Toshiba A205-S4607. Same problem...so frustrating. I have tried everything mentioned in the forums. No luck. Please help.

Thanks.

Changed in linux-source-2.6.22:
assignee: ben-collins → ccheney
Changed in linux-source-2.6.22:
assignee: ccheney → ubuntu-audio
status: In Progress → Triaged
Marco Cimmino (cimmo) on 2007-10-03
Changed in linux-ubuntu-modules-2.6.22:
assignee: nobody → ubuntu-audio
175 comments hidden view all 255 comments
Marco Cimmino (cimmo) wrote :

probably you installed to many modules that made conflicts, but in a clean system it's not relevant.

I'm running Gutsy (64 bits) with backports, but yet my sound doesn't working..

In saturday I will try reinstall the system with 32 bits and do
everything of I already see.

Anyone recommend me do something first in clean system ?

Thank's,

Felipe

On 10/25/07, Cimmo <email address hidden> wrote:
> probably you installed to many modules that made conflicts, but in a
> clean system it's not relevant.
>
> --
> No audio INTEL HD audio - Realtek ALC268 codec - Toshiba A205-S4577
> https://bugs.launchpad.net/bugs/116326
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Abraço,

Felipe Cardoso Martins
<email address hidden>
+55 11 8573.6968

I have success in my notebook Toshiba A205-4797 running Ubuntu Gutsy
(Kernel 2.6.22-14-generic)

My source.list:
http://pastebin.com/f27e4d3ea

The magic packages:
apt-get install linux-backports-modules-generic

:D

Observation:

My sound are working in external speaks, when I put some headphone the external are muted and work so fine... But if I change the volume with headphone the external speak is unmuted and I have unplugged and plugged the headphones to work correctly again.

Anyone has this problem ?

Thank's,

Felipe Cardoso Martins

Fred (frederic-lespez) wrote :

Felipe : I do not see this problem on my Acer TravelMate 6292.

Fred (frederic-lespez) wrote :

External and internal mics don't work on Acer TravelMate 6292 with the linux-backports-modules.

It seems that the external mic can work with alsa 1.0.15 (the linux-backports-modules contain only alsa 1.0.15rc3 AFAIK).
Is it possible to update linux-backports-modules with alsa 1.0.15 final ?

Mic problems for ALC268 are traced in alsa bug #3268 :
https://bugtrack.alsa-project.org/alsa-bug/view.php?id=3268

acer TM6292 Alsa sound
I solved using the following:
https://wiki.ubuntu.com/LaptopTestingTeam/AcerTravelmate6292
Thank you very much Fred!

Changed in linux:
status: Unknown → In Progress
Jean-Paul (jeanpaul145) wrote :

I installed linux-backports-modules on my zepto znote 6625WD (using an ALC268 sound chip) and sound _is_ working, but when I plug in my external speakers my internal speakers are not muted.
I also observed that unlike in windows (be it XP or Vista), here in Ubuntu it _does_ matter where I plug in my external speaker jack, no "autoconfiguration" there (or jack sensing as I believe it is also called).
I haven't tried using the microphone.

Eskild Hustvedt (zerodogg) wrote :

I'm experiencing the same as Jean-Paul with an Compal IFL90.
Sound works with linux-backports-modules, but no automuting of internal speakers when external speakers are plugged in (no way to mute the internal ones in fact).

Hansel (hansel-830613) wrote :

Hi,
I was not able to have sound at all in my gutsy machine (i have a laptop toshiba satellite A210). and i've been searching for a solution for the last 2 weeks.
Fortunately, I founded the instructions from venky80 (2007-07-23) and now i can fully enjoy my music.........
Thanks to Chris Cheney, Brian Mount and venky80.............
Have a good day.......
Hansel

I added a document here
Installing Ubuntu 7.10 (Gutsy Gibbon) on Acer TravelMate 6292 notebook
http://www.koansoftware.com/notes/acer_travelmate_6292.html
HTH

I am using an Acer 4720 with an Intel soundcard with ALC268 chip set. The sound card will work with this help:
https://wiki.ubuntu.com/Gutsy_Intel_HD_Audio_Controller

but there is no post I can find getting the mic going. There are lots of posts but the sound card neither supports mic internal nor external. This seems to be a driver problem. This laptop is sold in India with linux preinstalled but not with Ubuntu.
I had no chance to test the Linux preinstalled as shops delete it and replace it with windows.

Onno Benschop (onno-itmaze) wrote :

As per the comments from Felipe Cardoso Martins , a Toshiba Satellite Pro A200-PSAF 1A-001001
 reports the same Codec and issues. The fix is the same, namely:

apt-get install linux-backports-modules-generic

Fred (frederic-lespez) on 2008-01-05
Changed in linux-ubuntu-modules-2.6.22:
status: New → Confirmed
Jean-Paul (jeanpaul145) wrote :

I don't know about mic, but after changing the line "options snd-hda-intel model=acer" to "options snd-hda-intel model=toshiba" in /etc/modprobe.d/alsa-base on my zepto znote 6625WD (it has an ALC268 sound chip) the internal speakers *do* mute when plugging in a headset in at the right jack. jack sensing does not work.
Additionally, when I change the volume with my "volume up button", the internal speakers unmute. Using the "volume down button" does not unmute the internal speakers.
This last part can (I think) be fixed by changing which slider the volume buttons control (even the "volume down button" to keep some conformity/symmetry :p) - Is there any way to do that without some hardcore coding? Thank you in advance.

Fred (frederic-lespez) wrote :

Not related to The Linux Kernel

Changed in linux:
status: New → Invalid
Fred (frederic-lespez) wrote :

Update with Hardy Alpha 5:
Sound works out of the box now. Internal mic doesn't work. External mic seems to work but with a low quality.
Upstream is working on this issue (See alsa bug 3637): A patch is in progress to make the internal mic work.

Hi,

My Toshiba U305 has really better behaviour with last released alsa (1.0.16), although still there is a lot of noise and offset on recording and a quite low volume level on playback compared to the Other OS.

By the way, the referenced bug:
https://bugtrack.alsa-project.org/alsa-bug/view.php?id=3637 is (Takashi said it) relevant just to acer model.
There are more open bugs on alsa about this issue:
https://bugtrack.alsa-project.org/alsa-bug/view.php?id=3659
https://bugtrack.alsa-project.org/alsa-bug/view.php?id=3104

I will try to report something more on the most toshiba specific one.

Changed in alsa-driver:
status: Unknown → In Progress
Changed in linux-source-2.6.22:
status: New → Invalid

Hi All,

Just doing some clean up to this report. The original bug was that there currently wasn't support for the Realtek ALC268 codec found in the Toshiba A205-S4577. This seems to be resolved via the linux-backports-modules-2.6.22 package which contained an updated version of ALSA so I'm going to close this report. If you are now experiencing new issues with the mic or sound quality, please open a new bug report. Also be sure to test against the latest Hardy Alpah release. It is helpful to the development teams if bug reports target one specific issue against a specific set of hardware. Thanks.

Changed in linux-backports-modules-2.6.22:
status: New → Fix Released
Changed in linux-source-2.6.22:
status: Triaged → Invalid
Changed in linux-ubuntu-modules-2.6.22:
status: Confirmed → Invalid

2008/2/26, Fred <email address hidden>:
>
> Update with Hardy Alpha 5:
> Sound works out of the box now. Internal mic doesn't work. External mic
> seems to work but with a low quality.
> Upstream is working on this issue (See alsa bug 3637): A patch is in
> progress to make the internal mic work.
>
>
> --
> No audio INTEL HD audio - Realtek ALC268 codec - Toshiba A205-S4577 / Acer
> TravelMate 6292
> https://bugs.launchpad.net/bugs/116326
> You received this bug notification because you are a direct subscriber
> of the bug.
>
OK, but can we expect any improvements in 7.10? Hardy would be released in
April, that's not really soon.

venky80 (venky80) wrote :

Doesnt make sense to close if the issue is relevant to 7.10

On Fri, Feb 29, 2008 at 8:18 AM, Iliya Ilembitov <email address hidden>
wrote:

> 2008/2/26, Fred <email address hidden>:
> >
> > Update with Hardy Alpha 5:
> > Sound works out of the box now. Internal mic doesn't work. External mic
> > seems to work but with a low quality.
> > Upstream is working on this issue (See alsa bug 3637): A patch is in
> > progress to make the internal mic work.
> >
> >
> > --
> > No audio INTEL HD audio - Realtek ALC268 codec - Toshiba A205-S4577 /
> Acer
> > TravelMate 6292
> > https://bugs.launchpad.net/bugs/116326
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
> OK, but can we expect any improvements in 7.10? Hardy would be released in
> April, that's not really soon.
>
> --
> No audio INTEL HD audio - Realtek ALC268 codec - Toshiba A205-S4577 / Acer
> TravelMate 6292
> https://bugs.launchpad.net/bugs/116326
> You received this bug notification because you are a direct subscriber
> of the bug.
>

I have opened a new bug about the mic problems on alsa bug tracker:

https://bugtrack.alsa-project.org/alsa-bug/view.php?id=3824

Should we open an issue here too?

Munno (megatrex) wrote :

I recently upgraded from Ubuntu 7.04 to Ubuntu 7.10, and my sound went very low in Ubuntu 7.10.

After trying a number of things, I tried what Felipe said:

apt-get install linux-backports-modules-generic

and my sound was back to "high" again, as new.

My laptop is: Toshiba Satellite A105-S4047
Kernel: 2.6.22-14

Hope that helps other similar Toshiba users

Hi,

On Thu, 2008-04-03 at 09:31 +0000, Munno wrote:
> and my sound was back to "high" again, as new.

do the microphone(s) work(s) for you? I mean, could you listen to
yourself in a Skype echo call?

--
Romano Giannetti <email address hidden>

Jean-Paul (jeanpaul145) wrote :

Just did a clean install of the Hardy RC. Sound output works beautifully, including muting the internal speakers when plugging in a jack plug as well as my volume button issue being fixed (see my last post here for details), so no complaints yet :)

co0lingFir3 (coolingfire) wrote :

I had no sound at all in Ubuntu 7.10 but it worked with the backports. With a clean install of Hardy 8.04 Beta the sound works great but the mic still doesnt. So is there any ETA/progress or workaround of getting the microphone to work?

1 comments hidden view all 255 comments

On Mon, 2008-04-21 at 13:45 +0000, co0lingFir3 wrote:
> So is there any ETA/progress or workaround of getting
> the microphone to work?

With my U305 the mics sort-of-works with alsa-driver 1.0.16 on top of
Gusty, or with a 2.6.25 kernel. Sort-of means that I had to find the
magic combination: mic boost at about 1/3, capture level at about 2/3,
digital capture (a new control with 1.0.16) at about 1/3. Other
combinations make the mic too low, too noisy or to distorted.

Takashi has been out quite a long time, but now he's back. I'm confident
that now that he's back things will start again to roll.

Martin Olsson (mnemo) wrote :

My sound also started to work now which is pure joy. Thanks to everyone who contributed to making this happen!

As pointed out by others, the microphone doesn't work though. Here is the strangest part though:
If I install "recordmydesktop" then the mic works but it records with extremely low volume. With the usual "sound recorder" utility app all I get is aggressive snapping or pounding sounds (reminds me of some kind of motor or something). These strange snapping sounds are also not related to how or what I say when I'm recording, the snapping sounds that's actually being recorded into the audio file are regular in pace and volume. Microphone also doesn't work in Skype on Linux. In Vista on the same machine the mic works in all apps. I have tried googling for hours on various configurations inside alsamixer etc but nothing worked. I've tried unmuting/muting various channels like "mic boost", "front boost" etc and I've tried all kinds of input source settings but I simply could not get the mic to work in ubuntu inside any application except for the strange and magic "recordmydesktop" application. Finally, one more curious detail is that I tried to boot Fedora Core 9 Preview on this same machine and there the mic didn't work either (which is not that suprising given that they have the same ALSA version, they have pulse audio etc) but for some reason I can actually get the mic to work using the F9 preview live CD by deploying the usual tricks (messing around with settings in alsamixer etc). I also noted that if I turn up the "mic boost" to maximum in F9 I hear those strange snapping/pounding sounds again but much weaker.

Getting high quality microphone support to work would be a great improvement though, mostly because of Skype.

Gurifo (pablo-penichet) wrote :

I own a Toshiba satellite A210-158 and iI have excatly the same output as mnemo.

Sound works good, audio jack finally works too. However, with microphone there's no way. I've been googling for long hours too but nothing. When I try i get those annoying sounds described by mnemo.

No mic on skype neither.

Last thing I haven't tried it's mic jack. But built-in mic doesn't seem to work at all.

Regards

To find out more about Twitter, visit the link below:

http://twitter.com/i/dbccb7a2327a44be15d23967105513743d8b0b83

Thanks,
-The Twitter Team

About Twitter

Twitter is a unique approach to communication and networking based on the simple concept of status. What are you doing? What are your friends doing—right now? With Twitter, you may answer this question over SMS, IM, or the Web and the responses are shared between contacts.

This message was sent by a Twitter user who entered your email address. If you'd prefer not to receive emails when other people invite you to Twitter, click here:
http://twitter.com/i/optout/2b45e4472e15aef61e222fa969caf121c5f945cd

Jean-Paul (jeanpaul145) wrote :

There is 1 thing that still bugs me: whenever the audio system is initialized (like at bootup) and I have external speakers plugged in, I have to unplug them and plug them back in after audio has initialized. If I don't, the external speakers aren't used at all, as if they were never plugged in at all. Since I have external speakers plugged in whenever I am home, and have earpieces plugged in when I am not, this is a real problem.

For informational purposes: I have a zepto Znote 6625WD which has a Realtek ALC268 audio chip.

co0lingFir3 (coolingfire) wrote :

i have a Compal IFL90 laptop and sound didnt work at all since Ubuntu Gutsy. However the mic still does not work in Hardy. I tried the live cd of Alpha 4 of Intrepid a few days ago and i increased the mic boost and it finally worked with a headset. The internal mic still ain't working. So there is some progress but there seems much to be done.
Would be interesting if the mic works for some of you guys with Intrepid Alpha 4 and a headset.

JClift (jclift26) wrote :

I have a dell vostro 1310 which has no sound/ mic at all unless workaround applied in hardy (which makes sound not 100%). Need to check if still works in new kernel. Has realtek alc268 chip.

when clicking on vol control get told can't find gstreamer plugins. Driver needs to be compiled....

JClift (jclift26) wrote :

Can confirm in latest kernel had to compile drivers from realtek website andadd also digital input sources to ALSA in order for all sound to work- this picks up headphone jack and speakers. Mic as yet untested, but think it works from headphone source and onboard..
I followed these instructions and used 5.07 drivers from realtek site.
http://ubuntuforums.org/showthread.php?t=878608

Hope this helps

Fred (frederic-lespez) wrote :

The good news :
The main issue remaining with Realtek ALC268 was that mics doesn't work.
Alsa 1.0.18a contains a fix for that:
http://git.alsa-project.org/?p=alsa-kmirror.git;a=commit;h=2cc442715c45c88016c3c1c68e8828683d1b186a
This add a new model acer-dmic for all laptops that have digital mics.

The bad news :
Jaunty doesn't have alsa 1.0.18a :-(
It is currently stuck with alsa 1.0.18.
A bug report has been opened to update alsa :
https://bugs.launchpad.net/ubuntu/+bug/304068

Fred (frederic-lespez) wrote :

Good news for laptops with a Realtek ALC268 codec and an internal digital mic (like Acer TravelMate 6292) : Now it works in Karmic (thanks to Alsa 1.0.20).
But you need to modify You need to replace the following line in /etc/modprobe.d/alsa-base:
options snd-hda-intel power_save=10
with:
options snd-hda-intel power_save=10 model=acer-dmic
And then reboot (or reload the snd-hda-module).
After that, internal mics works.
Record level is a bit low but is works :-)

Thanks for some good news

On Sun, 2009-07-26 at 13:32 +0000, Fred wrote:
> Good news for laptops with a Realtek ALC268 codec and an internal digital mic (like Acer TravelMate 6292) : Now it works in Karmic (thanks to Alsa 1.0.20).
> But you need to modify You need to replace the following line in /etc/modprobe.d/alsa-base:
> options snd-hda-intel power_save=10
> with:
> options snd-hda-intel power_save=10 model=acer-dmic
> And then reboot (or reload the snd-hda-module).
> After that, internal mics works.
> Record level is a bit low but is works :-)
>

dan (johntrialpro) wrote :

hi
realtek has a linux driver - it solved my 6 channel audio with a alc883 chip
you can download it from here:
http://www.realtek.com.tw/downloads/downloadsView.aspx?Langid=1&PNid=24&PFid=24&Level=4&Conn=3&DownTypeID=3&GetDown=false
or:
reltek>download>high definition audio driver

i'll attach the readme for the driver, basically sayes that it supports alc268

Displaying first 40 and last 40 comments. View all 255 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.